{% extends "dashboard/dashboard_content.html" %}

{% block title %}
    Course Enrollment
{% endblock %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>

{% endblock %}

{% block rightPane %}
    {% if perms.enrollment.can_enroll_students %}
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="ionicons ion-person-add"></i>
                    Student Course Enrollment
                </h2>
                <div class="clearfix"></div>
            </div>
            {#            <div class="col-md-offset-9">#}
            {#                <button type="button" class="btn btn-primary" id='enrollment_pdf'>#}
            {#                    Enrollment Form#}
            {#                </button>#}
            {#                <button type="button" class="btn btn-primary" id='registration_pdf'>#}
            {#                    Registration Form#}
            {#                </button>#}
            {#            </div>#}
            <div class="x_content">
                <div class="row">
                    <ul class="nav nav-tabs bar_tabs" id="myTab">
                        {% for dept in all_departments %}
                            {% if dept.pk == selected_department_pk %}
                                <li class="active">
                                    <a aria-expanded="true"
                                       id={{ dept.pk }}
                                               data-toggle="tab" name="department_tab">
                                        {{ dept.acronym }}
                                    </a>
                                </li>
                            {% else %}
                                <li class="">
                                    <a aria-expanded="false"
                                       id={{ dept.pk }}
                                               data-toggle="tab" name="department_tab">
                                        {{ dept.acronym }}
                                    </a>
                                </li>
                            {% endif %}
                        {% endfor %}
                    </ul>
                    <ul class="nav nav-tabs bar_tabs" id="myTab">
                        {% for sem in semester_list %}
                            {% if sem == selected_semester_number %}
                                <li class="active">
                                    <a aria-expanded="true"
                                       id={{ sem }}
                                               data-toggle="tab" name="semester_tab">
                                        Semester {{ sem }}
                                    </a>
                                </li>
                            {% else %}
                                <li class="">
                                    <a aria-expanded="false"
                                       id={{ sem }}
                                               data-toggle="tab" name="semester_tab">
                                        Semester {{ sem }}
                                    </a>
                                </li>
                            {% endif %}
                        {% endfor %}
                    </ul>
                </div>


                <form method="POST">{% csrf_token %}
                    <input type="hidden" name="hidden_department_pk" value="{{ selected_department_pk }}">
                    <input type="hidden" name="hidden_semester_number" value="{{ selected_semester_number }}">
                    <div class="col-md-4 col-md-offset-4">
                        <select class="selectpicker form-control"
                                data-live-search="true" title="Not Alloted" data-actions-box="true"
                                name="student_regno"
                                data-show-subtext="true" onchange="this.form.submit()">
                            {% for student in list_of_students %}
                                {% if student.roll_no == student_roll_no %}
                                    <option value="{{ student.roll_no }}"
                                            data-subtext="{{ student.qualification }}" selected>{{ student.roll_no }}
                                        - {{ student }}</option>
                                {% else %}
                                    <option value="{{ student.roll_no }}"
                                            data-subtext="{{ student.qualification }}">{{ student.roll_no }}
                                        - {{ student }}</option>
                                {% endif %}
                            {% endfor %}
                        </select>
                    </div>
                </form>



                {% if not list_of_courses %}
                    {% if student_instance %}
                        <br><br>
                        <div role="alert" class="alert alert-warning alert-dismissible fade in">
                            <button aria-label="Close" data-dismiss="alert" class="close" type="button"><span
                                    aria-hidden="true">×</span>
                            </button>
                            <h2 align="center"> No course offerings! </h2>
                        </div>
                    {% endif %}
                {% else %}
                    <div class="clearfix"></div>
                    <form class="form-horizontal" method="POST">{% csrf_token %}
                        <input type="hidden" name="hidden_student_regno"
                               value="{{ student_roll_no }}">
                        <input type="hidden" name="hidden_department_pk" value="{{ selected_department_pk }}">
                        <input type="hidden" name="hidden_semester_number" value="{{ selected_semester_number }}">

                        <div class="col-md-12">
                            <div class="col-md-12    col-sm-12 col-xs-12">
                                <div class="x_panel">
                                    <div class="x_title">
                                        <h2>
                                            List of Offered Courses
                                        </h2>
                                        <ul class="nav navbar-right panel_toolbox">
                                            {#                                            <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>#}
                                            {#                                            </li>#}
                                        </ul>
                                        <div class="clearfix"></div>
                                    </div>
                                    <div class="x_content">

                                        <div class="">
                                            <ul class="to_do">
                                                {% for course in list_of_courses %}
                                                    <li><p>
                                                        <div style="line-height: 35px">
                                                            &nbsp;&nbsp;
                                                            {{ course.data }}
                                                            <span style="float: right">
                                                                {% if course.enrolled %}
                                                                    <strong>Enrolled!</strong>
                                                                {% endif %}
                                                                {% if course.registered %}
                                                                    {% if course.approved %}
                                                                        <strong>Registered!</strong>
                                                                    {% else %}
                                                                        <strong>On Hold!</strong>
                                                                    {% endif %}
                                                                {% endif %}
                                                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                                <button class="btn-rounded btn btn-dark-green"
                                                                        name="course_enroll"
                                                                        type="submit"
                                                                        value="{{ course.data.pk }}"
                                                                        {% if course.enrolled or course.registered %}
                                                                        disabled
                                                                        {% endif %}
                                                                >
                                                                                    Enroll
                                                                                </button>


                                                                <button class="btn-rounded btn btn-dark-green"
                                                                        name="course_register"
                                                                        type="submit"
                                                                        value="{{ course.data.pk }}"
                                                                        {% if course.registered or not course.enrolled %}
                                                                        disabled
                                                                        {% endif %}
                                                                >
                                                                                    Register
                                                                                </button>

                                                            <button type="button"
                                                                    class="btn-rounded btn btn-danger"
                                                                    data-toggle="modal"
                                                                    data-target="#exampleModal{{ forloop.counter }}"
                                                                    {% if not course.enrolled and not course.registered %}
                                                                    disabled
                                                                    {% endif %}
                                                            >
                                                                    Delete
                                                                </button>

                                                            <div class="modal"
                                                                 id="exampleModal{{ forloop.counter }}"
                                                                 tabindex="-1"
                                                                 role="dialog" aria-labelledby="exampleModalLabel"
                                                                 aria-hidden="true">
                                                                    <div class="modal-dialog modal-lg" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h3 class="modal-title"
                                                                                    id="exampleModalLabel">Delete
                                                                                    Confirmation</h3>
                                                                                <button type="button" class="close"
                                                                                        data-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                    <span aria-hidden="true">&times;</span>
                                                                                </button>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                <h4><strong>{{ student_instance.roll_no }} - {{ student_instance }}</strong> will be unrolled from the course - <strong>{{ course.data }}</strong></h4>
                                                                                <br>
                                                                                <h5>Are you sure to continue?</h5>
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="button"
                                                                                        class="btn1-sm  btn1-secondary"
                                                                                        data-dismiss="modal">Close
                                                                                </button>
                                                                                <button class="btn1-sm btn-danger"
                                                                                        name="course_delete"
                                                                                        type="submit"
                                                                                        value="{{ course.data.pk }}">
                                                                                    Delete
                                                                                </button>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                            </span>


                                                        </div>
                                                        </p>
                                                    </li>
                                                {% endfor %}
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <br><br>
                            <h4 id="self_div"><a onmouseover="this.style.cursor='pointer'"
                                                 onclick="$('#prev_sem_div').toggle();$('#self_div').hide()">Click here
                                to view previous semester courses</a></h4>
                        </div>

                        <div class="col-md-12" id="prev_sem_div" style="display: none">
                            <div class="col-md-12 col-sm-12 col-xs-12">
                                <div class="x_panel">
                                    <div class="x_title">
                                        <h2>
                                            List of Previous Semester Courses
                                        </h2>
                                        <ul class="nav navbar-right panel_toolbox">
                                            {#                                            <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>#}
                                            {#                                            </li>#}
                                        </ul>
                                        <div class="clearfix"></div>
                                    </div>
                                    <div class="x_content">

                                        <div class="">
                                            <ul class="to_do">
                                                {% for course in list_of_additional_courses %}
                                                    <li><p>
                                                        <div style="line-height: 35px">
                                                            &nbsp;&nbsp;
                                                            {{ course.data }}
                                                            <span style="float: right">
                                                                {% if course.enrolled %}
                                                                    <strong>Enrolled!</strong>
                                                                {% endif %}
                                                                {% if course.registered %}
                                                                    {% if course.approved %}
                                                                        <strong>Registered!</strong>
                                                                    {% else %}
                                                                        <strong>On Hold!</strong>
                                                                    {% endif %}
                                                                {% endif %}
                                                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                                <button class="btn-rounded btn btn-dark-green"
                                                                        name="course_enroll"
                                                                        type="submit"
                                                                        value="{{ course.data.pk }}"
                                                                        {% if course.enrolled or course.registered %}
                                                                        disabled
                                                                        {% endif %}
                                                                >
                                                                                    Enroll
                                                                                </button>


                                                                <button class="btn-rounded btn btn-dark-green"
                                                                        name="course_register"
                                                                        type="submit"
                                                                        value="{{ course.data.pk }}"
                                                                        {% if course.registered or not course.enrolled %}
                                                                        disabled
                                                                        {% endif %}
                                                                >
                                                                                    Register
                                                                                </button>

                                                            <button type="button"
                                                                    class="btn-rounded btn btn-danger"
                                                                    data-toggle="modal"
                                                                    data-target="#exampleModal-{{ forloop.counter }}"
                                                                    {% if not course.enrolled and not course.registered %}
                                                                    disabled
                                                                    {% endif %}
                                                            >
                                                                    Delete
                                                                </button>

                                                            <div class="modal"
                                                                 id="exampleModal-{{ forloop.counter }}"
                                                                 tabindex="-1"
                                                                 role="dialog" aria-labelledby="exampleModalLabel"
                                                                 aria-hidden="true">
                                                                    <div class="modal-dialog modal-lg" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h3 class="modal-title"
                                                                                    id="exampleModalLabel">Delete
                                                                                    Confirmation</h3>
                                                                                <button type="button" class="close"
                                                                                        data-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                    <span aria-hidden="true">&times;</span>
                                                                                </button>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                <h4><strong>{{ student_instance.roll_no }} - {{ student_instance }}</strong> will be unrolled from the course - <strong>{{ course.data }}</strong></h4>
                                                                                <br>
                                                                                <h5>Are you sure to continue?</h5>
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="button"
                                                                                        class="btn1-sm  btn1-secondary"
                                                                                        data-dismiss="modal">Close
                                                                                </button>
                                                                                <button class="btn1-sm btn-danger"
                                                                                        name="course_delete"
                                                                                        type="submit"
                                                                                        value="{{ course.data.pk }}">
                                                                                    Delete
                                                                                </button>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                            </span>


                                                        </div>
                                                        </p>
                                                    </li>
                                                {% endfor %}
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </form>
                {% endif %}
            </div>
        </div>
    {% endif %}

    <form id="dummy_form" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="department_tab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_department_pk'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });
        $('document').ready(function () {
            $('[name="semester_tab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_semester_number'});
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: '{{ selected_department_pk }}',
                    name: 'selected_department_pk'
                });
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });
        $('document').ready(function () {
            $('#enrollment_pdf').click(function () {
                window.open('{% url 'enrollment_pdf' %}', '_self');
            });

            $('#registration_pdf').click(function () {
                window.open('{% url 'registration_pdf' %}', '_self');
            });
        });
    </script>
{% endblock %}